summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-02-02 15:57:42 +0100
committerMichał Górny <mgorny@gentoo.org>2017-02-02 16:07:57 +0100
commitcd63416086421984d4ebccc539706e3ef373fe5d (patch)
treece4c462e1facad125f7b120697c40d9d134d3951 /sys-devel/lld
parentapp-crypt/eid-mw: ver bump 4.2.0 bug #607206. Vincent Hardy (diff)
downloadgentoo-cd63416086421984d4ebccc539706e3ef373fe5d.tar.gz
gentoo-cd63416086421984d4ebccc539706e3ef373fe5d.tar.bz2
gentoo-cd63416086421984d4ebccc539706e3ef373fe5d.zip
sys-devel/lld: Use python-any-r1
Diffstat (limited to 'sys-devel/lld')
-rw-r--r--sys-devel/lld/lld-4.0.0_rc1.ebuild12
-rw-r--r--sys-devel/lld/lld-9999.ebuild12
2 files changed, 20 insertions, 4 deletions
diff --git a/sys-devel/lld/lld-4.0.0_rc1.ebuild b/sys-devel/lld/lld-4.0.0_rc1.ebuild
index 3e6dfc9abbe..cb624392d7a 100644
--- a/sys-devel/lld/lld-4.0.0_rc1.ebuild
+++ b/sys-devel/lld/lld-4.0.0_rc1.ebuild
@@ -9,7 +9,7 @@ EAPI=6
CMAKE_MIN_VERSION=3.7.0-r1
PYTHON_COMPAT=( python2_7 )
-inherit cmake-utils
+inherit cmake-utils python-any-r1
DESCRIPTION="The LLVM linker (link editor)"
HOMEPAGE="http://llvm.org/"
@@ -23,7 +23,7 @@ IUSE="test"
RDEPEND="~sys-devel/llvm-${PV}"
DEPEND="${RDEPEND}
- test? ( ~dev-python/lit-${PV} )"
+ test? ( $(python_gen_any_dep "~dev-python/lit-${PV}[\${PYTHON_USEDEP}]") )"
S=${WORKDIR}/${P/_/}.src
@@ -33,6 +33,14 @@ RESTRICT="test"
# least intrusive of all
CMAKE_BUILD_TYPE=RelWithDebInfo
+python_check_deps() {
+ has_version "dev-python/lit[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
src_unpack() {
default
diff --git a/sys-devel/lld/lld-9999.ebuild b/sys-devel/lld/lld-9999.ebuild
index 93b234c1a92..6a01839dbf4 100644
--- a/sys-devel/lld/lld-9999.ebuild
+++ b/sys-devel/lld/lld-9999.ebuild
@@ -9,7 +9,7 @@ EAPI=6
CMAKE_MIN_VERSION=3.7.0-r1
PYTHON_COMPAT=( python2_7 )
-inherit cmake-utils git-r3
+inherit cmake-utils git-r3 python-any-r1
DESCRIPTION="The LLVM linker (link editor)"
HOMEPAGE="http://llvm.org/"
@@ -24,7 +24,7 @@ IUSE="test"
RDEPEND="~sys-devel/llvm-${PV}"
DEPEND="${RDEPEND}
- test? ( ~dev-python/lit-${PV} )"
+ test? ( $(python_gen_any_dep "~dev-python/lit-${PV}[\${PYTHON_USEDEP}]") )"
# TODO: fix test suite to build stand-alone
RESTRICT="test"
@@ -32,6 +32,14 @@ RESTRICT="test"
# least intrusive of all
CMAKE_BUILD_TYPE=RelWithDebInfo
+python_check_deps() {
+ has_version "dev-python/lit[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
src_unpack() {
if use test; then
# needed for patched gtest